classification
Title: Glossary item "hashable" incorrect
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: docs@python, john.riehl, josh.r, rhettinger
Priority: normal Keywords: patch

Created on 2019-05-25 21:10 by john.riehl, last changed 2019-05-27 17:43 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13587 merged rhettinger, 2019-05-26 19:21
PR 13595 merged miss-islington, 2019-05-27 17:21
Messages (4)
msg343514 - (view) Author: John Riehl (john.riehl) Date: 2019-05-25 21:10
The entry in the glossary for "hashable" (https://docs.python.org/3/glossary.html#term-hashable) states "All of Python’s immutable built-in objects are hashable." Tuples are described as immutable sequence types (https://docs.python.org/3/library/stdtypes.html#immutable-sequence-types), but they are not hashable unless all of their elements are hashable. Suggest updating the glossary to reflect this.
msg343590 - (view) Author: Josh Rosenberg (josh.r) * (Python triager) Date: 2019-05-27 00:56
For that matter, slices are immutable built-ins, but they're not hashable (presumably to avoid silently working with dictionaries in a non-slice capacity).
msg343665 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-05-27 17:21
New changeset cc1c582f6fe450ce1c7de849137039e9b5fab8eb by Raymond Hettinger in branch 'master':
bpo-37051: Refine note on what objects are hashable (GH-13587)
https://github.com/python/cpython/commit/cc1c582f6fe450ce1c7de849137039e9b5fab8eb
msg343666 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-05-27 17:43
New changeset e8318f31f35dc851684c094b268e4a85d7f357c9 by Raymond Hettinger (Miss Islington (bot)) in branch '3.7':
bpo-37051: Refine note on what objects are hashable (GH-13587) (GH-13595)
https://github.com/python/cpython/commit/e8318f31f35dc851684c094b268e4a85d7f357c9
History
Date User Action Args
2019-05-27 17:43:57rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-27 17:43:25rhettingersetmessages: + msg343666
2019-05-27 17:21:56rhettingersetmessages: + msg343665
2019-05-27 17:21:43miss-islingtonsetpull_requests: + pull_request13502
2019-05-27 00:56:38josh.rsetnosy: + josh.r
messages: + msg343590
2019-05-26 19:21:45rhettingersetkeywords: + patch
stage: patch review
pull_requests: + pull_request13494
2019-05-26 19:15:52rhettingersetassignee: docs@python -> rhettinger

nosy: + rhettinger
2019-05-25 21:10:53john.riehlcreate